# gcu::AtomMatchState Class Reference

`#include <gcu/atom.h>`

List of all members.

## Public Attributes

std::map< Atom *, int > | mol1
std::map< Atom *, int > | mol2
std::vector< AtomPair > | atoms

## Detailed Description

This class is used when comparing molecules to store lists of corresponding atoms.

Definition at line 317 of file gcu/atom.h.

## Member Data Documentation

std::map<Atom*, int> gcu::AtomMatchState::mol1

This map gives the index of atoms from the first molecule in gcu::AtomMatchState::atoms.

Definition at line 324 of file gcu/atom.h.

std::map<Atom*, int> gcu::AtomMatchState::mol2

This map gives the index of atoms from the second molecule in gcu::AtomMatchState::atoms.

Definition at line 329 of file gcu/atom.h.

std::vector<AtomPair> gcu::AtomMatchState::atoms

The array of matched atoms.

Definition at line 334 of file gcu/atom.h.

The documentation for this class was generated from the following file:

- gcu/atom.h